package game.objects;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Image;

import game.Const;



/**
 * 
 * @author Mikael GUILLEMOT
 * @version 1.0
 */

public class Button {

	private final String price; 
	private final Image texture;
	
	public Button(Image texture, int price) {
		this.price = price+"$";
		this.texture= texture;
	}

	public void render(Graphics2D image,int x,int y) {
			image.drawImage(texture, x, y, null);
			image.setColor(Color.YELLOW);
			image.fillRect(x+20, y+52, Const.BT_SIZE-20, Const.BT_SIZE-52);
			image.setColor(Color.black);
			image.drawRect(x+20, y+52, Const.BT_SIZE-20, Const.BT_SIZE-52);
			image.drawRect(x, y, Const.BT_SIZE, Const.BT_SIZE);
			image.drawString(price, x+21, y+Const.BT_SIZE-1);
		}
	}


