package tools.generators.core;

/**
 * interface utilise par les classes de generation de code. lors de la
 * generation, le generateur est averti des evenements pas cette interface
 */
public interface Generator {

	/**
	 * previen le generateur qu'un marqueur vien d'etre trouvé pour le remplacement
	 * d'une ligne. Cela permet au generateur de reagir immediatement.
	 * 
	 * @param token : la clef qui vien d'etre trouvée
	 */
	public String replaceLine(int token);

	/**
	 * previen le generateur qu'un marqueur vien d'etre trouvé pour le remplacement
	 * d'une expression dans une ligne. Cela permet au generateur de reagir
	 * immediatement.
	 * 
	 * @param token : la clef qui vien d'etre trouvée
	 */
	public String replaceTokens(String BaseLine, int token);
}
